# KSPFGMRESModifyPCNoChange

this is the default used by fgmres - it doesn't change the preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPFGMRESModifyPCNoChange(KSP ksp,PetscInt total_its,PetscInt loc_its,PetscReal res_norm,void* dummy)

### Input Parameters

| ksp | - the ksp context being used.
| total_its | - the total number of FGMRES iterations that have occurred.
| loc_its | - the number of FGMRES iterations since last restart. a restart (so number of Krylov directions to be computed)
| res_norm | - the current residual norm.
| dummy | - context variable, unused in this routine

Contributed by Allison Baker

You can use this as a template!

### See Also

KSPFGMRESSetModifyPC(), KSPFGMRESModifyPCKSP()

Level:intermediate
Location: src/ksp/ksp/impls/gmres/fgmres/modpcf.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages